PHP Manual
Prev |  | Next

# HttpRequest::addPostFields

(no version information, might be only in CVS)

HttpRequest::addPostFields -- Add post fields

## Description

publicbool HttpRequest::addPostFields ( array post_data )

Adds POST data entries, leaving previously set unchanged, unless a post entry with the same name already exists.

Affects only POST and custom requests.

## Parameters

post_data

  an associative array as parameter containing the post fields

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpRequest::addHeaders | Up | HttpRequest::addPostFile